# User and Service Templates

## Purpose

You can program user and service templates with a subset of the customer data contained on the User and Services Configuration form, and then reuse this data when adding new users or services.

Templates and roles are shared. In a network of mixed releases, MiVoice Business (MiVB) Release 7.0 templates are shared only with MiVB 7.0 and up systems. However, Pre-7.0 (MCD 5.x and 6.x) templates are shared with and visible on all nodes (5.x, 6.x, 7.x and up). Once shared, a pre-7.0 template can be modified on a 7.x system (within its limitations, such as, one phone service per use) and still remain compatible with pre-7.0 systems. You can also use a pre-7.0 template to create a new Release 7.0 template (all new fields will be added); however, the new copy will no longer be shared with pre-7.0 systems.

NOTES

- Pre-7.0 templates do not include the following fields (introduced with the MiVB Release 7.0): Prime Phone Service, Service Label, Zone Assignment Method, Zone ID, and DID Service Number. In addition, the User element cannot be deleted from a pre-7.0 template.

- User Roles associated with the Default or a pre-Release 7.0 template are shared with all nodes (MiVB Release 7.x, 6.x, and 5.x). Roles associated with 7.0 templates are NOT shared with the older systems, which do not support 7.0 templates.

As of MiVoice Business Release 7.2, MiVoice Business nodes can SDS share data with MiCollab servers 7.0 or up, in support of the Flow Through Provisioning solution, which allows the administrator to configure and manage users and phone services from a single location - MiCollab is the recommended option. See Adding Users and Services for more information.

When a MiVoice Business node is SDS-sharing data with a MiCollab server, templates that include MiCollab services are displayed in this form, but you cannot use them (copy) to create a new template and you cannot delete them using this form. These templates can be managed only from the MiCollab USP application, which you can access automatically by clicking the "Open in MiCollab" link. However, you can modify parts of the template that are controlled by the ESM, such as, phone or user details.

NOTE: When the last MiCollab server is removed using the REMOVENE command (note that MiVoice Business 7.2 supports data sharing with only one MiCollab), all MiCollab templates will be deleted, while MiVoice Business templates that had associated MiCollab services will become editable; that is, you will be able to delete them using this form.

A User and Service Template defines a set of responsibilities and tasks that can be associated with a user through the User Roles form.

Use this form when performing the following tasks:

- Adding User and Service Templates

- Changing User and Service Templates

- Deleting User and Service Templates

## Conditions

- When the system is first installed, a single template named "Default" is created. The Default template consists of one user and one phone service with one embedded Voicemail service. You cannot add or delete a user or phone service and you cannot rename or delete the template; however, you can delete the Voicemail option and you can update the field values for this template.

- Voicemail can be associated with each phone service and included in a template or it can be added to the service once the service is created.

NOTE: For MiVoice Business Release 7.0, only Embedded Voice Mail is supported.

- Newly created User and Service Templates do not have any Roles associated with them. They are to be associated with User Roles when the Roles are created. When you add a new user, you can then select a role in order to make use of the template data.

- A single User and Service Template can be associated with multiple roles.

- The User and Service Template can have just a user (no service), just a service (no user), or a user with 1 to 8 services.

- You can add a user (if one does not already exist) or a phone service (if less than eight already exist) to the existing template. You can also delete the user or a service from the template. Voicemail associated with the service will also be deleted.

NOTES

1. - The User and Service Template can have no more than one user, but more users can be added once the service is created.

   - User or services cannot be added to or deleted from the Default or legacy (pre-Release 7.0) templates.

   - You cannot add or associate any MiCollab services using this form, but you can delete a user or a service that has associated MiCollab service(s). The deletion will be shared to MiCollab, which will remove all associated MiCollab services from the template. This change will be shared back to MiVoice Business; however, you must refresh your template view to see the change.

- When a phone service is added to the User and Service Template, the Default - Keys template is used; however, you can modify the keys, select a different key template, or create a new one.

- All new users are created with their prime line set as a Single Line. However, if a user is created with a template that has a Key or a Multicall appearance of its own DN, then the prime line for that user is set as a Key or Multicall line, respectively.

- Multiple key templates can be created for the same device, but only one template at a time can be applied to a device. Pre-Release 7.0 User and Service Templates must use device-specific key templates.

- MiVB 7.x User and Service Template can only use 7.x Key Template; however, the Default Key Template can be used for both 7.x User and Service Templates and pre-7.0 User and Device Templates.

- All phone services associated with the same user must be hosted by the same primary controller (secondary can be different for each service).

- The Name field is not case sensitive. This means that "Engineer" and "ENGINEER" are identical template names.

## Field Descriptions

Parameter | Description | Default Value
User and Services Templates
Name | A list (names) of currently configured templates, including the Default. The list contains MiVoice Business templates (pre-7.0 and 7.0 and up) and (if MiVoice Business is sharing data with a MiCollab server) MiCollab templates. The name of the selected template and the associated sub-elements (User or Services, or both) are displayed in a tree-format in the lower section of this form. To change the template's name: click the Name field, delete the current name (or click x to clear the box), enter the new name, then click Save. NOTES Clicking the user's or service's element opens the appropriate Field Details, allowing you to modify an existing template. You can also add or delete a User, Phone Service, or Voicemail for an existing template. You cannot copy a template that includes MiCollab service(s). | Default
Associated Roles | Roles associated with each listed template. |
Copy Template... (select an existing template and click this link to create a new template)
Template Name | Click x to clear the field, then enter a unique name for the new template (maximum 63 characters) and click Save. If you wish to abort the operation at any time before saving, click the Cancel button. The newly created template is selected and its elements are displayed in a tree-format in the lower section of the form. You can access and update any field value for the new template by clicking the associated User, Phone Service, or Voicemail element. You can also add or delete the User, Phone Service or Voicemail. See Field Details. NOTES When the system is first installed, a single template named "Default" is created. You can update the field values for this template, but you cannot add or delete the user or phone service and you cannot rename or delete the template; however, you can delete the Voicemail option. This field is not case sensitive. This means that "Engineer" and "ENGINEER" are identical template names. | New Template
Field Details: When a template is selected, its name, sub-elements and additional configuration options are displayed in a tree-format in the lower section of this form. Click the arrow in front or double-click the element to expand or to close it. Select the element and click the displayed down-arrow or right-click the element to delete the User, Phone Service or Voicemail. Click Add Voicemail or Add Phone Service to add voicemail to the existing services or to add new service to the selected template. Click Add User... (if displayed) to add a user to the template. This option is not available if a user is already configured - templates can only have one user Click the User, Phone Service or Voicemail element to open and configure or re-configure the following detail fields.
Profile (User)
Last Name | Type the user's last name (a maximum of 64 bytes). This name is associated with the directory number in the Telephone Directory form and stored in the User and Services Configuration (USC) Names A repository within the MiVoice Business system that contains names of all dialable users configured through the First and Last Name fields in the User and Services Configuration form. This database supports up to 64 bytes of UTF-8 encoded characters per name. Names stored in this database are used in various administrative activities, such as, Audit Trails, Message Boards, CSV exports, etc.. For MiVoice Business nodes on which the Multilingual Name Display feature is enabled, these names are displayed on supported devices within the cluster. repository. This name is displayed when the Multilingual Name Display feature is enabled. For the template, enter a partial string such as a leading characters of the last name. NOTES This field and the First Name field support UTF-8 encoded characters. UTF-8 is a multilingual character set that allows you to enter letters and special characters from a wide range of alphabets including Cyrillic, Arabic, and Chinese. For users associated with the MiCollab Speech Auto Attendant (SAA) service, this field cannot be blank or contain any UTF-8 encoded characters. In a mixed network of MCD 5.0 and earlier systems, UTF-8 characters distributed to the earlier systems will display correctly when viewed from the System Administration Tool on MCD 5.0 systems. However, records containing the characters will be read-only to the tool on earlier systems. The Directory Name field under Service Profile supports ASCII characters only (up to 20, excluding comma). Since the field is auto-filled with data from the Last and First Name fields, any UTF-8 characters in them will not display and are instead converted to the closest matching ASCII character. If no match exists, a hyphen is substituted. When the Last and First Name fields are changed, the Directory Name field is automatically updated, but NOT vice versa. However, once the Directory Name is manually changed and does not match the First/Last Name fields, changes to the First/Last Name fields no longer affect the Directory Name field. If the last/first name combination is longer than 20 characters (excluding comma), truncated version is displayed in the Directory Name field (truncated from right to left, starting with the first name). No indication is provided that the name has been truncated. If the last name is 20 characters or more, the first name does not display and the last name, if longer than 20 characters, is truncated. If the last name is shorter than 20 characters, the remaining space available is used for full or truncated version of the first name Directory Names are displayed on endpoints when the Multilingual Name Display feature is disabled. With the Multilingual Name Display enabled, the full First/Last Name combination is displayed on supported devices. If there is not enough space, the first character of the First Name and the Last Name are displayed. If this combination is still too long, the last name is truncated from right to left until it fits on the display. If there is no room for at least four characters, no name will be displayed. | Blank
First Name | Type the user's first name (a maximum of 64 bytes). This name is associated with the directory number in the Telephone Directory form and stored in the User and Services Configuration (USC) Names A repository within the MiVoice Business system that contains names of all dialable users configured through the First and Last Name fields in the User and Services Configuration form. This database supports up to 64 bytes of UTF-8 encoded characters per name. Names stored in this database are used in various administrative activities, such as, Audit Trails, Message Boards, CSV exports, etc.. For MiVoice Business nodes on which the Multilingual Name Display feature is enabled, these names are displayed on supported devices within the cluster. repository. If space allows, this name, together with the Last Name, is displayed when the Multilingual Name Display feature is enabled. For the template, enter a partial string such as a leading characters of the first name. | Blank
Department | Type the name of the department with which the user is associated in Telephone Directory (for example, Sales). The name can be a maximum of 64 characters but only the first 10 are sent out on PRI and SIP trunks. Optional field. | Blank
Location | Type a name of up to 10 characters that identifies the location of the user device (for example, Tom's desk). Optional field. | Blank
Language | Select the language to display on the Desktop Tool interface. NOTE: If MiVoice Business is sharing user data with a MiCollab system, user updates that you make on this platform are also made on the MiCollab system. If you create a user with a language that is not supported on MiCollab, US English (system default) is applied to the MiCollab user entry. | English
IDS Manageable | Indicates whether user and service data is updated from a directory server when Integrated Directory Services (IDS) is implemented. To enable IDS management, select the box; to disable IDS management, clear the box. If the feature is disabled, you must manually update user and service and data even if IDS is implemented. | Selected
Email | Enter the unique primary email address for the user. For the template, enter a partial string such @mitel.com. | Blank
Prime Phone Service | Select the user's prime phone service from the drop-down list of all services currently associated with this user. | Phone Service
Desktop Admin Access | Indicates whether the Desktop Admin Access is enabled for the user. Select the box to enable Desktop Admin access, or clear it to disable Desktop Admin access. NOTE: Before you can enable this feature, you must first type the user's name on Profile tab. | Enabled
Login Id | Displays the user's unique Login ID using the last name and first initial of the first name specified in the names field above. The Login ID is up to 20 characters in length. NOTE: If you are importing users, do not enable Desktop Tool Access for users who share the same last name and the same first initial as other users in the Import Spreadsheet. If you enable Desktop Tool Access for multiple users with identical system-generated Login IDs, the system accepts only the first of the identical Login IDs as valid, and generates errors for the other users. You must manually enable Desktop Tool Access for these users, to ensure that their Login IDs are unique. For example, assume you attempt to import a Desktop Tool user profile for Jack Smith, followed by a profile for Jennifer Lee Smith: The system accepts "smithj" as a valid Login ID for Jack Smith (the first user imported). The system rejects "smithj" for Jennifer Lee Smith as invalid, since that profile is now assigned to Jack Smith, who you imported to the system first. You must manually enable Desktop Tool Access and enter a unique Login ID for Jennifer Lee Smith (for example, "smithjl" or "smithjen"). | Blank
Password | Specify the user's initial access password. Passwords are case-sensitive and may contain up to 8 alphanumeric characters. The password is displayed as asterisks for privacy reasons. If you have imported user data and set the user's Desktop Tool Access to Yes, the default password is the user's Directory Number (DN). | Blank
Confirm Password | Re-enter the user's Password to confirm. | Blank
Profile (Phone Service)
Service Label | Type a unique name of up to 64 characters that identifies the service (for example, Desk Phone). | Phone Service
Directory Name | Type the user's telephone directory name (up to 21 characters, including spaces). | Blank
Prime Name | Select Yes to indicate that this name is the prime name; select No or leave the Name field blank to indicate that the name is not the prime name. Only one name may be prime for an extension. The system ignores this setting if the Telephone Number field is blank. The first name entered in the Telephone Directory for any extension is the prime name, unless this option is used to specifically designate an alternate user of the directory number as the prime name. | No
Privacy | Select Yes to indicate that the associated telephone number is to be a private extension. A private extension number will not appear on display sets during call processing. The following types of telephone numbers cannot be made private: Non-prime key line appearances Modem and modem groups System speed calls. | No
Hot Desking User | Select Yes to create a Hot Desking user or select No to create a standard User and Device. | Not Selected
Device Type | For a standard user and device, select the user's device type from the drop down list. The default value is 6920 IP. NOTES In the MiVoice Business Release 9.0 or later, unsupported devices are listed under the Unsupported Devices section within the drop-down list. The system allows you to create a template using an unsupported device and allows you to attach this template to a user role. However, the Device Type drop-down list defaults to No Device when adding a new user or a phone service using a role with an unsupported device. To display this field, you must set the Hot Desking User to No. Analog devices are added to this form with a default Circuit Descriptor Index 1. To add an analog device with another Circuit Descriptor Index, use the Analog Sets form. You can change a phone's device type only within the category of devices to which it belongs. That is, you can change a Multiline IP device to a different Multiline IP device (for example, 5010 IP to 5020 IP), but you cannot change a Multiline IP device to an analog device type (for example, you can cannot change 5010 to Analog). For Container-based MiVoice Business (cMiVB), the 6970 IP Conference Phone is not supported. The "UC Endpoint" device type is used to provision unified communication clients such as the MiVoice Conference Unit and MiVoice Video Unit. For Single Line Phones, this field must be set to 'Generic SIP Phone'. | 6920 IP
Preferred Set | For a hot desking user, select the user's preferred hot desking device type from the drop down list. This device type overwrites the device type specified in MiCollab Server Manager (Applications > Users and Services > Phones > Preferred Set) and vice-versa. NOTES To display this field, you must select the Hot Desking User box. Users can select their preferred hot desking device type from the Desktop Tool. If No Device is selected as the Preferred Device, the device is assigned 96 keys by default. | No Device
Service Level | Displays the level of service for this directory number (DN): Full - The DN is assigned to a standard user and device with full telephony service. This service level must be selected for Single Line Phones. The DN uses an IP User License, except for a Single Line Phone, which uses a Single Line Users (formerly Analog Lines) license. IP Device Only - The DN is assigned to a device that has only basic telephony functionality (emergency or attendant calls) until someone logs in as a hot desking user or hot desk ACD agent. The DN is unlicensed until login occurs. Trusted - The DN is assigned to a trusted Mitel application that has full telephony service once it registers with the system. Although the DN can be programmed on the same forms as a Full Service DN, it does not use an IP User License. NOTE: Applications requesting trusted softphone behavior on the MiVoice Business system (e.g., PrairieFyre IVR ports) will not come into service unless the softphones are configured as trusted devices on the MiVoice Business system. Multi-Device - The DN is assigned to a device that has only basic telephony functionality (emergency or attendant calls) until it is programmed as a member of a Multi-device User Group or Multi-device Suite. The DN does not use an IP User License, but a single Multi-Device license is used by the group. One group member at a time can employ the license to engage in a call and access full telephony services. NOTE: See Assigning a Service Level to Records for information on changing the Service Level of a DN. | Full
Home Element | System-generated, read-only field. Identifies the Home element for the IP device. When you add a new IP device, you add it to the local element. The local element is the device's home element. | Local
Secondary Element | Cannot be templated. |
Local-only DN | Select this check box to specify the directory number as a local-only directory number in a cluster. | Not Selected
ACD Enabled | Select this check box to program the device as an ACD set. NOTES To display this field, you must set the Hot Desking User to No. This field cannot be selected if the device is part of an ACD hunt group. This field cannot be selected while a Hot Desk User is logged into the device. If an ACD set has Hot Desk Login enabled in the Class of Service Options form, Hot Desk Login will fail. This field must be cleared before the Hot Desking User box can be updated. | Not Selected
ACD Agent | Select this check box to designate a Hot Desking User as a Hot Desk ACD Agent. NOTES To display this field, you must set the Hot Desking User to Yes. This field cannot be cleared if the user's set is part of an ACD hunt group. This field cannot be selected if the user is logged in to the device as a Hot Desking User. This field cannot be cleared or selected on an existing record. Effective MCD R4.1, an IP User License is required in addition to an ACD Active Agent License in order to access ACD hot desking functionality. Agents created prior to MCD R4.1 can obtain their IP User Licenses by logging in with their PIN. If login fails, it may be necessary to enable more IP User Licenses on the License and Option Selection form. Use the Locate IP_License to display a list of Hot Desk ACD Agents who have not yet obtained their IP User Licenses. | Not Selected
Single Line Phone | Select this check box to configure a Generic SIP Phone as a Single Line Phone: a full service device without any programmable keys that consumes a Single Line Users license instead of an IP User license. NOTE: With this option selected, set the Device Type to 'Generic SIP Phone' and the Service Level to 'Full', and do not program any Keys. Keys are not supported on Single Line Phones. | Not Selected
Device Details
PKM | Select a PKM to associate with the phone or select None. The field is disabled if the device type does not support PKM devices. The PKM M695 is compatible with the 69xx series phones (excluding 6970, 6905, 6910). | None
MAC Address | Enter the MAC address (up to 17 characters) of the assigned IP device. This field is disabled if the device type is not an IP device. NOTE: 5560 IPTs have master and slave components that you must configure as separate devices, each requires its own DN and MAC address. Ensure that you enter the master MAC address for the master DN (see Number above) and the slave MAC address for the slave DN. The master and slave addresses are printed on the base of the 5560 IPT. You must also associate the 5560 IPT's master and slave DNs in the 5560 IPT Master/Slave Association form. See Program 5560 IPTs for additional details. | Blank
PLID | If the device is an analog device, enter the device's PLID values beneath the labels Cab., Shelf, Slot, and Circ. Enter a maximum of 2 characters in each text box. Valid entries are Cab. - a number from 2 to 14 Shelf - the digit 1 or 2 Slot - a number from 1 to 12 Circ. - a number from 1 to 16 This field is disabled if the device is an IP device. | Blank
CESID | Enter the CESID (Customer Emergency Service Identification) digits to send to the PSAP in the event of an emergency call. Up to 12 digits can be programmed. (CESID values do not apply to Hot Desk user DNs. The system uses the CESID associated with the hot desk set regardless of which profile— set or user—is active on the phone.) NOTE: See Warning for important information regarding CESID length in a mixed release network. | Blank
Service Details
Class of Service - Day, Night 1, Night 2 | Indicates the Class of Service (COS) assigned to the user when the system is in Day, Night 1, and Night 2 service. Enter a number between 1 and 64, or 1 and 110, depending on the system configuration. | 1
Class of Restriction - Day, Night 1, Night 2 | Indicates the Class of Restriction (COR) assigned to the user when the system is in the three service modes—Day, Night 1, Night 2. Enter a number between 1 and 110. | 1
External Hot Desking Enabled | Select "Yes" to enable External Hot Desk User or External Hot Desk Agent functionality and consume an EHDU license. Use the License and Option Selection form to allocate new EHDU licenses. | No
External Hot Desking Dialing Prefix | Enter "9" or other prefix digit(s) required to dial out to the external hot desk device. | Blank
External Hot Desking Number | Enter the telephone number of the external hot desk device. Valid entries are digits 0-9, #, * and P for a pause. NOTES The combined length of the external dialing prefix and external number cannot exceed 26. Pauses are typically required when the EHDU destination is on another vendor's PBX. The digits before the first “P” must be a complete ARS route that specifies either the number of digits to follow or a # to indicate the end of the dial string. | Blank
Personal Speedcall Allocation | Indicates the maximum number of personal speedcall numbers that a user can program. Select a value from the drop down list. | Blank
Zone Assignment Method | Select the Zone Assignment method: Default or Manual. When Default is selected, the Zone ID doesn't have to be entered because the zone of the MiVoice Business system to which the set is registered is used. If you selected Manual, you must enter the Zone ID in the Zone ID field. NOTE: Always use Manual if this form is shared with a 3300 ICP Release 7.0 system. | Default
Zone ID | Enter the Zone ID in the range 1 to 999 for the associated IP device DN or click to search for the Zone ID by its label (specified in the Network Zones form). Compression is not applicable to non-IP devices. NOTE: The search icon is displayed only when the Zone Assignment Method is set to Manual. | 1
SIP Device Capabilities | Enter number, between 1 and 70, of the SIP Device Capabilities form assigned to any SIP devices associated with this user. For non-SIP devices this field is grayed out. | 1
Interconnect Number | Enter a number, between 1 and 75, that references an entry in the Interconnect Restriction form. | Blank
Tenant Number | Enter the number, between 1 and 64, of the set's tenant . | 1 (landlord)
Lock Default Configuration | Select "Yes" to lock the softkeys to the default idle softkeys. This also locks the Graphical User Interface (GUI) template to three tabs high by eight tabs wide. NOTE: Lock Default Configuration cannot be enabled on ACD agents. | No
Max Call History Records | Use this field to set the maximum number of call history records that can be stored for a set. Enter a number between 0 and 20. | The default value for this field is set in the System Options form.
Non-Busy Extension | Select "Yes" to indicate that the associated extension is a non-busy extension; leave the entry at No to indicate that the set is a regular extension. A non-busy extension requires a COS that has the conference option enabled. | No
Call Coverage Service Number | Enter a number between 1 and 255. See Call Coverage Services for more information. | 1
Access and Authentication
User PIN | Enter a passcode for the hot desk user, hot desk ACD agent, or Phone Lock feature. PIN length is device dependent and ranges from 0 to 8 digits on the 5604, 5607, and 5614 SIP Phones and 0 to 10 on other phones. Only digits (0 to 9) are permitted. The PIN code is masked for privacy. | Blank
Confirm User PIN | Re-enter the user's PIN to confirm. |
SIP Password | Enter a password for the SIP phone up to 26 ASCII characters including alphanumeric and special characters. The password is used by SIP for Registration authentication, Call authentication, and Subscription (MWI) authentication. NOTES SIP Hot Desk Users are authenticated using the User PIN. On database restores and software upgrades the SIP Password field is populated with the User PIN associated with the user/device/template from the old database. Resilient users on pre-MCD 6.0 SP2 systems receive a blank SIP Password when synchronized by SDS to an MCD 6.0 SP2 or later system. No conversion of User PIN to SIP Password is done. SIP registration and calls will work but are not authenticated. If a 12.0 SP2 user is shared with a pre 12.0 SP2 system, the administrator should provision both the SIP Password and the User PIN with the same data. Only the User PIN will be shared with the older system. In this manner the SIP phone can be resilient on both systems (on the newer one it will use the SIP Password, on the older it will use the User PIN). You can also use the range programming function in the Multiline IP Sets form to provision multiple sets with a single strong password. | Blank
Confirm SIP Password | Re-enter the SIP password to confirm. |
Wireless PIN | Set or reset the wireless PIN. | Blank
Confirm Wireless PIN | Re-enter the wireless PIN to confirm. |
Phone Applications NOTE: Applications available for selection are populated from the Phone Applications Update form.
HTML Infrastructure Enabled | Select "Yes" to run licensed HTML applications on the specified device. HTML Infrastructure support is a licensed option enabled in the License and Option Selection form. NOTE: HTML Applications are device specific and are available to the 5312, 5320/5320e, 5324, 5330/5330e, 5340/5340e, 5360 IP Phones unless noted otherwise below. | No
HTML GUI Application | Select a customer-installed application to replace the device's standard user interface. | Blank
New Page Application1 | Select the application(s) to display in the programmable key area of the telephony application pages. Up to three new page applications are allowed per phone. | Blank
New Page Application2 | Select the application(s) to display in the programmable key area of the telephony application pages. Up to three new page applications are allowed per phone. | Blank
New Page Application3 | Select the application(s) to display in the programmable key area of the telephony application pages. Up to three new page applications are allowed per phone. | Blank
Notification Application1 | Select the notification service(s) you want the device to receive. Up to three Notification Applications are allowed per phone. | Blank
Notification Application2 | Select the notification service(s) you want the device to receive. Up to three Notification Applications are allowed per phone. | Blank
Notification Application3 | Select the notification service(s) you want the device to receive. Up to three Notification Applications are allowed per phone. | Blank
Branding Application | Select the branding application (image file) to display on the device. Branding is supported on the 5330/5330e, 5340/5340, and 5360 IP Phones only. See Phone Applications Update for information on file requirements. | Blank
Screen Saver Application | Select the screen saver to display on the device. Screen Savers are supported on the 5330/5330, 5340/5340, and 5360 IP Phones only. See Phone Applications Update for information on file requirements. | Blank
Keys NOTES Click one of the listed button numbers (or the arrow in front of it) to display all programmable fields. Do not configure any keys for a Single Line Phone template. Keys are not supported on Single Line Phones.
Use Existing Key Template | If you wish to use an existing key template, select this option and from the drop-down list, select the appropriate template. | Default - Keys
Create New Key Template | If you wish to create and use a new key template, select this option, type the name for the new key template and click the Save button. NOTE In the MiVoice Business Release 9.0 or later, unsupported devices are listed under the Unsupported Devices section within the drop-down list. The system allows you to create a template using an unsupported device. However, the Device Type drop-down list defaults to No Device when adding a new user or a service. | Not selected
Use Prime | Select this checkbox if you want the user's DN to be applied to the key. | Not selected
Button Number | Displays digits in the range 1 to 192 depending on the number of programmable keys on the device. Key 1 is reserved for the set's prime directory number. Key 2 is the lowermost programmable key. 1-2 (5603, 5604, 5607, 5613, 5614, 5624, 5634, 612, 622, 632, 650 Wireless Phones) 1 to 4 (6905 IP Phone) 1 to 6 (5505 SIP Phone) 1 to 6 (5302 SIP Phone) 1 to 7 (5010 IP Phone, 5215 IP Phone and 5215 IP Phone Dual Mode) 1 to 8 (UC Endpoint) 1 to 8 (6910 IP Phone) 1 to 9 (5304 IP Phone, 5140 IP Phone, and 5240 IP Phone) 1 to 16 (5320/5320e IP Phone) 1 to 12 (Telematrix 3000IP Phone and 5312 IP) 1 to 14 (5005 IP Phone, 5020 IP Phone, 5205 IP Phone, 5207 IP Phone, 5212 IP Phone, 5220 IP Phone, 5220 IP Phone) 1 to 18 (6920 IP Phone) 1 to 24 (5324 IP Phone, 5330/5330e IP Phone, 5224 IP Phone, Navigator). 1 to 48 (5340/5340e IP Phone and 5360 IP Phone) 1 to 72 (6930 IP Phone) 1 to 96 (6940 IP Phone and Hot Desk User DNs) 1 to 192 (5560 IPT and Generic SIP) 1 to 96 (6970 IP Conference Phone) NOTE: During a copy operation, you can select buttons to copy. IP Phone Line Select Keys The line select keys on the IP Phones are numbered right to left and bottom to top. See 5010 IP Phone, 5215 IP Phone and 5215 IP Phone (Dual Mode) Line Select Key Numbering and 5020 IP Phone, 5220 IP Phone and 5220 IP Phone (Dual Mode) for examples. CITELlink Phone Line Select Keys To identify the location of the line select keys on a CITELlink Type1 or CITELlink Type2 phone, click on the model in the following table:
Norstar Phones | Meridian Phones
Model # | Device Type | Model # | Device Type
M7100 | CITELlink Type1 | A2008 | CITELlink Type2
M7208 | CITELlink Type1 | M2006 | CITELlink Type1
M7208N | CITELlink Type1 | M2008 | CITELlink Type1
M7310 | CITELlink Type2 | M2616 | CITELlink Type2
M7310N | CITELlink Type2 | M3110 | CITELlink Type1
M7324 | CITELlink Type2 | M3310 | CITELlink Type1
T7100 | CITELlink Type1 | M3820 | CITELlink Type2
T7208 | CITELlink Type1 | M3901 | CITELlink Type1
T7316 | CITELlink Type2 | M3902 | CITELlink Type1
T7406 | CITELlink Type2 | M3903 | CITELlink Type1
|  | M3904 | CITELlink Type1
SpectraLink Wireless Telephone Line Select Keys The SpectraLink Wireless Telephones use shortcut keys to emulate line select keys. To activate the assigned line appearance or feature, the user presses the LINE, FCN or MENU key plus a shortcut key. See SpectraLink Wireless Telephone Line Select Key Mapping. OpenPhone 27 In Release 2.0 of the OpenPhone 27, line select keys are not supported. | Blank
Label | Enter a button label to display in the LCD beside the programmable key on the IP Phone. The field allows 31 ASCII or 10 Simplified Chinese characters but the phone can only display a maximum of 16 ASCII characters or 10 Chinese characters. In case of 5340/5340e IP Phone, if opposing keys (e.g., keys 3 and 4 or 5 and 6) are labeled, then only a maximum of 10 ASCII characters or five Chinese characters can be displayed. A Button Label may be defined for a MiXML Application Feature assignment (optional). If you program this field on a 5220 (Dual Mode) phone, however, it will not be displayed. | Blank
Line Type | Select one of the Line Type values. The line types associated with any given directory number must match in all forms where the numbers appear. You can program speed call keys on a set by selecting "CDE Speedcall" in the Line Type field, and then entering the Speed Call Number (maximum of seven digits) in the Button Directory Number field. After a key is programmed as a CDE Speedcall, the user cannot reprogram the key from the set. You can program user speedcalls on a set from this form or users can program them directly from their sets. These speed call numbers appear on the form as "User Speedcall" in the Line Type field. If the user has designated the number as private, the Line Type field displays "User Speedcall - Private". A directory number must already exist in the system before a DSS or Secretarial Transfer key and busy lamp are programmed to monitor it. Attempting to commit the form when an unknown directory number or a directory number that translates to an ARS destination has been specified will result in the error message "Directory Number is invalid". NOTES If you have a 5330/5330e, 5340/5340e, or 5360 IP Phone with analog Line Interface Module (LIM), do not program feature key 2. This key is reserved for the LIM. Assigning the key another feature may result in an incorrect LED indication following a set reboot. HTML Toolkit Release 2.0 phone applications are only available to DNs licensed to use them. See Multiline IP Sets form for details. By default, new DNs (including the Prime line) are created with a Line Type set to 'Single Line'. Once another appearance (Key or Multicall) of the DN is created on the same or another device, the Line Type changes to Keyline or Multicall. However, you must click the Data Refresh button to see the change. Mobile Lines are supported on 69xx phones only (excluding the 6905 and 6910 IP Phones). | Not Assigned
URL | Enter the URL of a web page to display on the set. Applies to sets with built-in web browsers. The only supported URL type is http. | Blank
Button Dir. Number | Enter the directory number which is associated with the Line Select Key of the multiline set, the Trunk Number, in the form "Tnnnn" where "nnnn" is the trunk number which is associated with the line select key of the set. CDE Speedcalls can be a maximum of seven digits. User speedcalls can be a maximum of 26 digits. If the user has programmed a user speedcall and designated the number as private, "xxxxxxx" is displayed instead of the number. A directory number may appear on more than one key on any MiVoice IP Phone or generic SIP device. NOTES Refer to the feature description for the selected Line Type for specific conditions and restrictions regarding the assignment of directory numbers. On generic SIP devices, only the DN of the SIP device can be assigned to Button Directory Numbers to support the multicall feature. If a trunk number is programmed in the Directory Number field, it can be assigned as either a "key system" or "single line". A trunk assigned to a multiline set line cannot be in a trunk group. NOTE: The Button Directory Number field does not update when a directory number assigned to the Call Park and Call Park - Retrieve key is changed or removed in another form. If such a change or deletion occurs, attempts to use the feature key will result in invalid dialing treatment. Also, any subsequent data restore will not correct or remove the invalid key data. | Blank
Ring Type | Select whether and how to ring the line to signal a call. See Line Appearance Ring Types for a description of the choices. | Blank
MiXML App Feature | Select a MiXML Application Feature for the button being changed from all the Third Party MiXML Applications that have been added to the system. The data displayed in this field, derived from MiXML Application Feature views, can differ from application to application. | Not Assigned
Phone App Feature | Select a Phone Application Feature to assign to the key from the list of all the applications built into the sets or added to the system (and subsequently to the sets) using the HtmlAppUpgrade maintenance command. NOTE: The Phone Application list is not shared among cluster elements by SDS. It is up to the administrator to load the required applications on to each element so that devices can access them. | Blank
Voice Mail - General Click the Voicemail or Add Voicemail sub-element and configure the displayed fields if you wish to include Voice Mail in the template. NOTES The Voicemail option is not available if the voice mailbox digit length does not match the length of the DN. You may need to change the mailbox digit length to match the DN digit length. When Voice Mail is enabled, the user's voice mailbox number is the same as the user's DN number.
Mailbox Number | The extension number where calls to this mailbox are to be directed. This is normally a 2- to 4-digit extension number but can be up to seven digits long. Do not use the following number: 0 (reserved for the operator). This parameter can also be changed using the Administrator's Mailbox. | Blank
Name | Indicates the user name associated with the voice mailbox. If the Voice Mail check box is selected, the field displays the name from the telephone Directory Name field above. | Blank
Passcode | The minimum length for the passcode is specified by Minimum Mailbox Passcode Length and the maximum length is 10. The system requires users to enter their current passcode to retrieve their messages. The passcode is masked (displayed as asterisks) for privacy reasons and cannot contain the characters * or #. This parameter can also be changed using the Administrator's Mailbox. NOTES The default passcode is all 1s (ones). Only the mailbox user should change the default passcode. The system automatically prompts users to record their name and permanent greeting the first time they access their mailbox. The system continues to prompt users until they change the default passcode. If a user forgets their passcode, it can be reset by entering the default code (all 1s) or by entering a new code. Entering a new code here saves users from having to record the greeting again. Tell users the new code and remind them to change it to secure their mailbox. You can log in to the voice mailbox, but cannot perform actions unless the voice mailbox is initialized by changing the default password. | Blank
Mailbox Type | Select a mailbox type. The availability of certain mailbox types is dependant on licensing. The mailbox types are as follows: Extension - the mailbox type usually associated with an extension; it has the capability to record, send, and playback messages. Information - for playing informational greetings only. For example, the message (or greeting) for this mailbox could recite the company's business hours or driving directions to a company's location. This type of mailbox does not take messages. Message Only - for recording and playing back messages. It may be, but does not have to be, associated with an extension number. Message only mailboxes are for people who do not have telephones or who are frequently away from the office. Transfer Only - for playing instructions to callers to dial another number or to dial 0 to reach the company operator. This type of mailbox does not take messages. Menu Node - to set up a hierarchical menu structure for multi-level auto attendant ( MLAA) operation. In an MLAA system, callers reaching the Auto Attendant are routed from the main menu through to one or more additional sub menus until their call is answered. The system plays greetings for this type of mailbox and transfers callers from the mailbox to other mailboxes or extensions. Administrator - for accessing administrative functions such as recording greetings. Guest - for guests in hotels/motels with basic voice mail functionality. Front desk - for front desk staff in hotels/motels to administer guest mailboxes. This parameter can also be changed using the Administrator's Mailbox. Park and Page - used by the Auto Attendant to park incoming calls, and then page the requested party to pick up the call. Parking is initiated by the caller responding with a keypress to a prompt in the Auto Attendant greeting. The digit pressed is the number of the Park and Page mailbox as programmed in the VM Multi-Level Auto Attendants form. NOTE: The Park and Page mailbox type is unavailable for selection unless the Voice Mail Hospitality/PMS is enabled in the License and Options Selection form. | Extension
Prompt Language | Select the language of the voice mail prompts that the mailbox owner hears. This parameter can also be changed using the Administrator's Mailbox. | System Default
Operator Extension (0) | Enter a location to which calls are to be directed when a caller presses"0" while listening to a greeting and recording prompt for this mailbox. A location can be any valid destination from 1 to 20 digits including extensions, external telephone numbers, hunt group access codes and system abbreviated speed dialing numbers. The default sends calls to Mailbox 0, the mailbox usually reserved for the company-wide operator. Specifying a destination other than the company-wide operator is useful in multi-tenant applications where one system services two or more businesses. With flexible Dial "0" destinations, each business can redirect calls to separate locations. This feature also accommodates users who want callers to transfer to a departmental secretary, rather than a company-wide operator. | Blank
Mailbox Setup | Indicates whether the user's voice mailbox is set up or not. "Enabled" indicates that the user's voice mailbox is already set up. "Disabled" indicates that the user's voice mailbox is not set up yet. When the user logs into the voice mailbox, the voice mailbox tutorial is run that guides the user with setting up the voice mailbox. | Disabled
Voice Mail - Message Notification
Type | Select the device that the system calls to notify the mailbox user of waiting messages or select "Disabled" in the Schedule field if notification is not required. The user can receive notification at any one of five locations; an extension number, an outside number, and to three different types of pagers. This parameter can also be changed using the Administrator's Mailbox. NOTE: Notification must be enabled here and in the VM Options form for notification to take place. | Extension
Number | Enter a telephone number (up to 35 digits) for the voice mail system to call for user notification. Valid digits include 0 to 9, and the [*], [#], and ['] keys. This parameter can also be changed using the Administrator's Mailbox. NOTES If there is no number in the Notification Number field, notification cannot occur even if you enable it. If two mailboxes are associated with an extension and one of those mailboxes is the operator's, when that mailbox receives a new message, it is always the operator's mailbox that is notified first. If call notification is not enabled for the operator's mailbox, no call is made to the notification number. See also Using Pagers for Message Notification. | Blank
User Access | Enable this option to allow the user to change his or her pager number. If disabled, only the system administration can change the number. This parameter can also be changed using the Administrator's Mailbox. NOTE: This option does not work for guest mailboxes. | Dsiabled
Schedule | Select when the system notifies the user: Around The Clock - notifies the user when the message arrives. Disabled - does not notify the user. Open Hours - notifies the user only during open business hours. Closed Hours - notifies the user only during closed business hours. | Around the Clock
Voice Mail - Number of Messages
New | A read-only field that displays the number of new messages in the users mailbox. |
Saved | A read-only field that displays the number of saved messages in the users mailbox. |
Maximum | Enter a number up to 100 to specify the maximum number of messages that can accumulate in the mailbox. | 50
Delete Messages After | Specify how long a saved message can remain in the mailbox before it is automatically deleted: 15 Days - system default Never Delete - saved messages are never deleted Specific Number of Days - user defined value between 1 and 98 (enter the value in the Message Life field) NOTE: New messages can remain in the mailbox indefinitely. | 15 Days
Message Life | If you selected Specific Number of Days in the Delete Messages After field, enter a number from 1 to 98 specifying the number of days a saved message can remain in the mailbox before the system automatically deletes it. NOTE: The system deletes the message the day after it expires, unless the message was left between 0:00 to 2:00 am, in which case it is deleted on the expiration date. | Blank
Date Time Stamp | Specify whether or not the system plays the date and time plus the priority and caller ID information prior to each message. If not played automatically the user can still hear the Date/Time stamp by pressing a key on the phone. | Play
Voice Mail - Forward To Email
Forward to E-mail | Set to "Enable" to enable the Forward to Email feature. | Disabled
E-mail | The address to which the user's voice messages will be forwarded. NOTE: This Email address is not validated. If "Delete After Forwarding" is enabled and this Email address is invalid, the voice message will be lost. | Blank
Messages Forwarded | Set to "Always" to automatically forward all incoming voice mails to the specified Email address. Set to "Manually" to let users manually forward Emails to the specified Email address. | Manually
Delete After Forwarding | Set to "Yes" to automatically delete a voice mail after it is forwarded to the specified Email address. NOTE: Delivery to the Email address cannot be guaranteed. Enabling this option can result in message loss. | No
Embedded UM
Visual Voicemail Hunt Group | Specify the hunt group number that the Voice Mailbox belongs to. | Blank
VM Mailbox | The extension number where calls to this mailbox are to be directed. This is normally a 2- to 4-digit extension number but can be up to seven digits long. Do not use the following number: 0 (reserved for the operator). This parameter can also be changed using the Administrator's Mailbox. |
Enabled | Select "Yes" to enabled Embedded Unified Messaging for this mailbox. | No